import React from 'react';
import './index.less';
import Lazyimg from "react-lazyimg-component"

interface Props {
    imageUrl: string
    style?: React.CSSProperties
}
const Image1X1: React.FC<Props> = ({ imageUrl, style }) => {


    return (
        <div style={style} className='mediaPic'>
            <Lazyimg
                animateType="transition"
                src={imageUrl}
                className={`lazy`}
                animateClassName={['transition-enter', 'transition-enter-active']}
            />
        </div>
    );
};

export default React.memo(Image1X1);